Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model.impl
Class VTablePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.spi.table.model.impl.VTablePackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VTablePackage

    public class VTablePackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VTablePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.spi.table.model.VTablePackage
`VTablePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.table.model.VTablePackage
`DETAIL_EDITING, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, READ_ONLY_COLUMN_CONFIGURATION, READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES, READ_ONLY_COLUMN_CONFIGURATION_FEATURE_COUNT, TABLE_COLUMN_CONFIGURATION, TABLE_COLUMN_CONFIGURATION_FEATURE_COUNT, TABLE_CONTROL, TABLE_CONTROL__ADD_REMOVE_DISABLED, TABLE_CONTROL__ATTACHMENTS, TABLE_CONTROL__COLUMN_CONFIGURATIONS, TABLE_CONTROL__DETAIL_EDITING, TABLE_CONTROL__DETAIL_VIEW, TABLE_CONTROL__DIAGNOSTIC, TABLE_CONTROL__DOMAIN_MODEL_REFERENCE, TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG, TABLE_CONTROL__ENABLED, TABLE_CONTROL__LABEL_ALIGNMENT, TABLE_CONTROL__NAME, TABLE_CONTROL__READONLY, TABLE_CONTROL__VISIBLE, TABLE_CONTROL_FEATURE_COUNT, TABLE_DOMAIN_MODEL_REFERENCE, TABLE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER, TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES, TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE, TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH, TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE, TABLE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` | `getDetailEditing()`
`org.eclipse.emf.ecore.EReference` | `getReadOnlyColumnConfiguration_ColumnDomainReferences()`
`org.eclipse.emf.ecore.EClass` | `getReadOnlyColumnConfiguration()`
`org.eclipse.emf.ecore.EClass` | `getTableColumnConfiguration()`
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_AddRemoveDisabled()`
`org.eclipse.emf.ecore.EReference` | `getTableControl_ColumnConfigurations()`
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_DetailEditing()`
`org.eclipse.emf.ecore.EReference` | `getTableControl_DetailView()`
`org.eclipse.emf.ecore.EAttribute` | `getTableControl_EnableDetailEditingDialog()`
`org.eclipse.emf.ecore.EClass` | `getTableControl()`
`org.eclipse.emf.ecore.EReference` | `getTableDomainModelReference_ColumnDomainModelReferences()`
`org.eclipse.emf.ecore.EReference` | `getTableDomainModelReference_DomainModelReference()`
`org.eclipse.emf.ecore.EClass` | `getTableDomainModelReference()`
`VTableFactory` | `getTableFactory()`
`static VTablePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VTablePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VTablePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VTablePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getTableControl

    public org.eclipse.emf.ecore.EClass getTableControl()

  Specified by:
    `getTableControl` in interface `VTablePackage`
  Returns:
    the meta object for class 'Control'.
  See Also:
    `VTableControl`

### getTableControl_AddRemoveDisabled

    public org.eclipse.emf.ecore.EAttribute getTableControl_AddRemoveDisabled()

  Specified by:
    `getTableControl_AddRemoveDisabled` in interface `VTablePackage`
  Returns:
    the meta object for the attribute 'Add Remove Disabled'.
  See Also:
    `VTableControl.isAddRemoveDisabled()`, `VTablePackage.getTableControl()`

### getTableControl_ColumnConfigurations

    public org.eclipse.emf.ecore.EReference getTableControl_ColumnConfigurations()

  Specified by:
    `getTableControl_ColumnConfigurations` in interface `VTablePackage`
  Returns:
    the meta object for the containment reference list 'Column Configurations'.
  See Also:
    `VTableControl.getColumnConfigurations()`, `VTablePackage.getTableControl()`

### getTableControl_DetailEditing

    public org.eclipse.emf.ecore.EAttribute getTableControl_DetailEditing()

  Specified by:
    `getTableControl_DetailEditing` in interface `VTablePackage`
  Returns:
    the meta object for the attribute 'Detail Editing'.
  See Also:
    `VTableControl.getDetailEditing()`, `VTablePackage.getTableControl()`

### getTableControl_DetailView

    public org.eclipse.emf.ecore.EReference getTableControl_DetailView()

  Specified by:
    `getTableControl_DetailView` in interface `VTablePackage`
  Returns:
    the meta object for the containment reference 'Detail View'.
  See Also:
    `VTableControl.getDetailView()`, `VTablePackage.getTableControl()`

### getTableControl_EnableDetailEditingDialog

    public org.eclipse.emf.ecore.EAttribute getTableControl_EnableDetailEditingDialog()

  Specified by:
    `getTableControl_EnableDetailEditingDialog` in interface `VTablePackage`
  Returns:
    the meta object for the attribute 'Enable Detail Editing Dialog'.
  See Also:
    `VTableControl.isEnableDetailEditingDialog()`, `VTablePackage.getTableControl()`

### getTableColumnConfiguration

    public org.eclipse.emf.ecore.EClass getTableColumnConfiguration()

  Specified by:
    `getTableColumnConfiguration` in interface `VTablePackage`
  Returns:
    the meta object for class 'Column Configuration'.
  See Also:
    `VTableColumnConfiguration`

### getTableDomainModelReference

    public org.eclipse.emf.ecore.EClass getTableDomainModelReference()

  Specified by:
    `getTableDomainModelReference` in interface `VTablePackage`
  Returns:
    the meta object for class 'Domain Model Reference'.
  See Also:
    `VTableDomainModelReference`

### getTableDomainModelReference_ColumnDomainModelReferences

    public org.eclipse.emf.ecore.EReference getTableDomainModelReference_ColumnDomainModelReferences()

  Specified by:
    `getTableDomainModelReference_ColumnDomainModelReferences` in interface `VTablePackage`
  Returns:
    the meta object for the containment reference list 'Column Domain Model References'.
  See Also:
    `VTableDomainModelReference.getColumnDomainModelReferences()`, `VTablePackage.getTableDomainModelReference()`

### getTableDomainModelReference_DomainModelReference

    public org.eclipse.emf.ecore.EReference getTableDomainModelReference_DomainModelReference()

  Specified by:
    `getTableDomainModelReference_DomainModelReference` in interface `VTablePackage`
  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  Since:
    1.5
  See Also:
    `VTableDomainModelReference.getDomainModelReference()`, `VTablePackage.getTableDomainModelReference()`

### getReadOnlyColumnConfiguration

    public org.eclipse.emf.ecore.EClass getReadOnlyColumnConfiguration()

  Specified by:
    `getReadOnlyColumnConfiguration` in interface `VTablePackage`
  Returns:
    the meta object for class 'Read Only Column Configuration'.
  See Also:
    `VReadOnlyColumnConfiguration`

### getReadOnlyColumnConfiguration_ColumnDomainReferences

    public org.eclipse.emf.ecore.EReference getReadOnlyColumnConfiguration_ColumnDomainReferences()

  Specified by:
    `getReadOnlyColumnConfiguration_ColumnDomainReferences` in interface `VTablePackage`
  Returns:
    the meta object for the reference list 'Column Domain References'.
  See Also:
    `VReadOnlyColumnConfiguration.getColumnDomainReferences()`, `VTablePackage.getReadOnlyColumnConfiguration()`

### getDetailEditing

    public org.eclipse.emf.ecore.EEnum getDetailEditing()

  Specified by:
    `getDetailEditing` in interface `VTablePackage`
  Returns:
    the meta object for enum 'Detail Editing'.
  See Also:
    `DetailEditing`

### getTableFactory

    public VTableFactory getTableFactory()

  Specified by:
    `getTableFactory` in interface `VTablePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.